@import url('https://fonts.googleapis.com/css2?family=Marcellus&display=swap');


* {
    margin: 0;
    padding: 0;
}

.navbar {
    background-color: #004444
}

nav {

    padding: 0.5rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.left-nav {
    display: flex;
    gap: 2rem;
    align-items: center;

}



.left-nav img {
    width: 8%;
}

.left-nav .fa-angle-down {
    color: white;
}

ul {
    list-style: none;
    display: flex;
    gap: 32px;
}

ul li a {
    text-decoration: none;
    color: white;
}

.center-nav {

    display: flex;
    gap: 0.5rem;
    align-items: center;

}

.center-nav-left {
    display: flex;
    gap: 0.5rem;
    align-items: center;
    width: 25%;

}

.center-nav-left img {

    width: 30%;

}

.center-nav-right {
    width: 50%;
    padding-left: 0.5rem;
    border-left: 1px solid rgba(206, 201, 206, 0.493);
}

.site-name {
    font-size: 3rem;
    color: white;
}

.center-nav-para {
    font-size: 0.7rem;
    color: white;

}



.right-nav {
    display: flex;
    gap: 1rem;
    color: white;
    justify-content: center;
    align-items: center;
}

.right-nav-left {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    border-right: 1px solid rgba(206, 201, 206, 0.493);
    padding-right: 20px;
    white-space: nowrap;
}

.right-nav-left p {
    margin: 0;
}

.right-nav-right {
    display: flex;
    align-items: center;
}


/* body portion */
.main-body {
    background-color: #c9f4fd;
    display: flex;
}


/* right side form */


.main-body-right-container {


    width: 20%;
    padding-top: 6rem;
    position: fixed;
    top: 4rem;
    right: 0;

}

.right-side-form {
    max-width: 15rem;
    background-color: white;
    border-radius: 1.5rem;
    padding: 2.2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
}

.form-date-boxes {
    display: flex;
    gap: 1rem;
    max-width: 100%;
}

.form-date-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    padding: 0.5rem;
    border-radius: 0.3rem;
    border: 1px solid rgba(194, 173, 173, 0.418);
}

.form-date-available {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    background-color: #c9f4fd;
    border-radius: 0.3rem;
    padding: 0.5rem;
    gap: 0.2rem;
    font-size: 0.8rem;
    padding-right: 4rem;



}

.form-date-available .fa-solid {
    color: rgb(46, 204, 46);
}




.form-price {
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.form-price-info {
    display: flex;
    font-size: 0.8rem;
    align-items: center;
    justify-content: space-between;
    gap: 5rem;
    color: #004403;
}

#price-per-day {
    font-size: 0.8rem;
}

#total-price {
    font-size: 1rem;
}


.form-availabity-button {
    background-color: rgb(255, 123, 0);
    border-radius: 1rem;
    padding: 0.7rem 3rem;
    font-size: 1rem;
    color: white;
    border: none;
}


.form-redirect {
    display: flex;
    align-items: center;
    gap: 6px;
    font-family: Arial, Helvetica, sans-serif;
}

.redirect-text {
    font-size: 0.7rem;
    color: #6b6b6b;
    margin: 0;
}

.brand-name {
    font-size: 1rem;
    font-weight: 700;
    color: #003580;
    margin: 0;
}

.brand-name span {
    color: #0071c2;
}

.form-para {
    margin: 0.5rem;
}

.form-para p {
    font-size: 0.8rem;
    text-align: center;
}

.form-contact {
    display: flex;
    gap: 0.6rem;
    justify-content: center;
    align-items: center;
}



.form-hot-deal {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffe9a0;
    border-radius: 0.3rem;
    padding: 0.5rem;
    gap: 0.3rem;
    font-size: 0.8rem;



}

.form-hot-deal .fa-solid {
    color: rgb(226, 128, 1)
}

.form-checkout {
    border-top: 1px solid #6b6b6b36;
    padding-top: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.form-checkout p {
    font-size: 0.8rem;
}


/* left side of main body */

.main-body-left-container {
    width: 80%;
    padding: 2rem 6rem;
}

.main-body-left-first-line {
    display: flex;
    gap: 1.5rem;
    align-items: center;
    font-size: 0.9rem;
}

.main-body-left-second-line {
    margin-top: 2rem;
    font-family: 'Marcellus', serif;
    font-weight: 400;

}

.main-body-left-third-line {
    margin-top: 1.5rem;
    display: flex;
    gap: 1rem;
    align-items: center;
    font-size: 0.9rem;
}

.main-body-left-third-line-elements {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding-left: 1rem;
    border-left: 1px solid rgb(119, 115, 119);
    font-size: 0.8rem;
}

.main-body-left-third-line-element1 .fa-solid {
    color: #dd9f19;
    font-size: 0.7rem;
}

.main-body-left-third-line-elements .fa-solid {
    color: #004403;
}







/* gallery section */


.gallery-section, .about-section,.highlights-section {
    padding: 2rem 1rem;
    max-width: 75rem;
  
}

.gallery-grid {
    display: grid;
    grid-template-columns: 2.7fr 1fr;
    gap: 0.25rem;
    border-radius: 1.5rem;
    overflow: hidden;
}

.gallery-main {
    position: relative;
    height: 32.5rem;
}

.gallery-main img,
.gallery-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.gallery-side {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.25rem;
}

.gallery-card {
    height: 16.125rem;
    overflow: hidden;
}

/* hotel tabs */
.hotel-tabs {
    display: flex;
    gap: 4rem;
    margin-top: 2rem;
}

.hotel-tabs a {
    text-decoration: none;
    color: black;
    font-weight: bold;

}


/* about section */


.about-container ,.highlights-container{
   
    background-color: #f5f5f5;
    border-radius: 1.5rem;
    padding: 2rem;
}

.about-section-header {
    padding-bottom: 1rem;
    border-bottom: 0.063rem solid #d4d4d4;
}

.about-section-header h2 {
    font-size: 2rem;
    font-weight: 700;
}

.about-content {
    display: grid;
    grid-template-columns: 1.2fr 1fr;
    gap: 3rem;
    padding: 2rem 0;
}

.about-description {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 2rem;
}

.about-description p {
    font-size: 1rem;
    color: #444;
}

.about-amenities-section h3 {
    font-size: 1.3rem;
    margin-bottom: 1.5rem;
}

.about-amenities-list {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem 2rem;
    margin-bottom: 1.5rem;
}

.about-amenities-list li {
    display: flex;
    align-items: flex-start;
    gap: 0.75rem;
    font-size: 0.95rem;

}

.about-amenities-list i {
    font-size: 1rem;
    margin-top: 0.15rem;
}

.show-more-btn {
    display: inline-block;
    width: fit-content;
    font-size: 0.95rem;
    font-weight: 600;
    color: #222;
    text-decoration: underline;
}

.about-property-note {
    display: flex;
    align-items: center;
    gap: 1.25rem;
    background-color: #f3e7dc;
    padding: 1.5rem;
    border-radius: 1.25rem;
}

.about-note-icon {
    width: 4rem;
    height: 4rem;
    border: 0.125rem solid #222;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-note-icon p {
    font-size: 1.7rem;
    font-weight: bold;
}

.about-note-content h4 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

.about-note-content p {
    font-size: 0.95rem;
    line-height: 1.6;
    color: #444;
}


/* resort highlights */

.highlights-section-title {
    font-size: 1.8rem;
    margin-bottom: 0.5rem;
}

.highlights-section-text {
    color: #666;
    margin-bottom: 2rem;
    font-size: 1rem;
}

.highlights-feature-box {
    display: flex;
    gap: 1.5rem;
    background: #fff;
    padding: 1rem;
    border-radius: 1rem;
    margin-bottom: 2rem;
    align-items: center;
}

.highlights-feature-box img {
    width: 18rem;
    height: 12rem;
    object-fit: cover;
    border-radius: 0.8rem;
}

.highlights-feature-content h2 {
    font-size: 1.4rem;
    margin-bottom: 1rem;
}

.highlights-feature-content p {
    line-height: 1.7;
    color: #555;
    font-size: 1rem;
}

.highlights-cards-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

 .highlights-cards-wrapper article {
    background: #fff;
    border-radius: 1rem;
    overflow: hidden;
}

.highlights-cards-wrapper article img {
    width: 100%;
    height: 14rem;
    object-fit: cover;
}

.highlights-card-content {
    padding: 1.2rem;
}

.highlights-card-content h3 {
    font-size: 1.2rem;
    margin-bottom: 0.8rem;
    line-height: 1.5;
}

.highlights-card-content p {
    font-size: 0.95rem;
    color: #555;
    line-height: 1.7;
}




